/*==================================================================
  ==================================================================
  ==	XMusic -- An Interactive Interface to Csound		  ==
  ==       Copyright (C) 1988 by George D. Drapeau                ==
  ==                  All Rights Reserved                         ==
  ==================================================================
  ==================================================================
*/
#include <X/Xlib.h>
#include <stdio.h>
#include "defs.h"
#include "externs.h"




ToolInfo()
{
  Window	subW;
  Tool		*tool, *GetToolFromCoords();
  int		x,y,toolType;
  WindowInfo	wInfo;

  XQueryMouse(musicWin,&x,&y,&subW);
  if ((tool = GetToolFromCoords(x,y)) == NULL)
    {
      printf("Not pointing to any tool.\n");
      infoMapped = 0;						    /* Set flag saying that the Info window is hidden */
      lastTool = NULL;						    /* Reset variable pointing to last tool looked at */
      return;
    }
  lastTool = tool;						    /* Set last tool looked at to this one */
  XQueryWindow(musicWin,&wInfo);				    /* Find out where musicWin is in relation to RootWindow */
  XMoveWindow(infoWin,						    /* Move the Info window close to the tool... */
	      tool->x+(TOOLSIZE/2) + wInfo.x,			    /* ...pointed to, taking into account the tool's... */
	      tool->y-(TOOLSIZE/2) + wInfo.y);			    /* ...position relative to the RootWindow */
  XMapWindow(infoWin);						    /* Show the Info window */
  GetToolInfo(lastTool);					    /* Get info about each of this tool's parameter names */
  DrawInfoWin(lastTool);					    /* Draw the Info window */
}								    /* end function ToolInfo */
